GetTeamRoles
GET
/api/v1/teams/{team}/rolesFetch what the calling principal may do on a team.
Example request
Section titled “Example request”curl \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ "https://us.oblique.security/api/v1/teams/{team}/roles"Set OBLIQUE_API_KEY to your API key.
curl \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ "https://eu.oblique.security/api/v1/teams/{team}/roles"Set OBLIQUE_API_KEY to your API key.
Path parameters
Section titled “Path parameters”namestringrequired
Response
Section titled “Response”200TeamRolesnamestringAssigned by Oblique.
ownerbooleanread-onlyIf the current user is an owner of the team, either directly or indirectly.
Errors
Section titled “Errors”| Status | Meaning |
|---|---|
400 | Malformed request |
401 | Missing or invalid API key |
403 | Not allowed for this API key |
404 | Not found |
429 | Too many requests |
500 | Internal server error |